<?php
/***************************************************************************\
 *  Plugin Statistiques pour les brèves                          	      	 *
 *  Copyright (c) 2007-2009                                                *
 *  Elrik - Peetdu - Mathieu Carrandié                                     *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

function stats_breves_declarer_tables_principales($tables_principales){
	// Ajout du champs visites dans la définition de la table spip_breves
	$tables_principales['spip_breves']['field']['visites'] = "INT(10) UNSIGNED DEFAULT '0' NOT NULL";

  // Définition de la nouvelle table visites_breves à ajouter dans la base
  $visites_breves_table = array( 
    "date" => "DATE NOT NULL", 
    "id_breve" => "INT(10) UNSIGNED NOT NULL", 
    "visites" => "INT(10) UNSIGNED NOT NULL DEFAULT '0'", 
    "maj" => "TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP"); 
  // Définition de la clef primaire de la table visites_breves
  $visites_breves_table_key = array( 
    "PRIMARY KEY" => "date, id_breve");
  // Ajout de la table spip_visites_breves définie ci-dessus
  $tables_principales['spip_visites_breves'] = 
      array('field' => &$visites_breves_table, 'key' => &$visites_breves_table_key);

  return $tables_principales;
}
?>